' Module: EC3_DB_IPE
' This module defines a simple database for the
' geometric and mechanic properties of the IPE
' family of sections
' The Database is read from a file which should 
' be formatted as follows:
' Column values should be delimited by whitespace
' Row values should be delimited by carriage return 

'All variables should have their type declared explicitely
Option Explicit
Option Base 1

'Dim IpeDB(20,8)
'Dim IpeDB(1 to 2, 1 to 8) As Single
'         IPE    h     b     tw      tf     r     hi      d
'IpeDB = { 100,  100,   55,   4.1,    5.7,   7,   88.6,  74.6 _
'          120,  120,   64,   4.4,    6.3,   7,  107.4,  93.4 }

Dim TestArray(2-1, 2-1) As Double 'Target Array
Dim tmpArray            As String 'Temporary Array

Sub InitializeDB
'This Sub Initializes The Above Array
'from a file

'TODO:
'1. Read filename From Dialog
'2. Handle random files with random format

Dim sFilename As String   'Filename To Open
Dim iNumber   As Integer  'System File Number
Dim iRowCount As Integer  'Line Counter
Dim iColCount As Integer  'Column Counter
Dim iMaxRow   As Integer  'Maximum Rows
Dim iMaxCol   As Integer  'Maximum Columns
Dim sRow      As String   'Temporary Variable
Dim i 		  As Integer  'Counter

sFilename="F:\testfile"

iMaxRow = UBound(TestArray,1)
iMaxCol = UBound(TestArray,2)

'Temporary Array
ReDim tmpArray(iMaxCol-1)

iNumber = FreeFile
Open sFilename For Input As #iNumber

Do While Not EOF(iNumber)
	Line Input #iNumber, sRow
	iRowCount = iRowCount + 1
	if iRowCount > iMaxRow Then Exit Do
		
		If sRow <>"" Then
		
			tmpArray = Split(sRow," ",iMaxCol)
			
			For i=1 To iMaxCol
				TestArray(iRowCount, i) = CDbl(tmpArray(i-1))
			Next i
			
	    End If
Loop
'If the iRowCount < iMaxRow Do Something

Close #iNumber

End Sub
